2017-11-19 10:13 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003785Kali Linux[All Projects] Kali Package Bugpublic2016-12-23 10:59
ReporterRapt0r 
Assigned Tosbrun 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.1 
Summary0003785: The latest update of Kali broke pyrit
DescriptionPyrit was working fine with my nvidia graphics card on my laptop then suddenly i updated kali and now it's not working at all.

output everytime i run the command:

root@Rapt0r:~# pyrit selftest
Pyrit 0.4.0 (C) 2008-2011 Lukas Lueg http://pyrit.googlecode.com
This code is distributed under the GNU General Public License v3+

Traceback (most recent call last):
  File "/usr/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 115, in initFromArgv
    func(self, **options)
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 1227, in selftest
    with cpyrit.cpyrit.CPyrit() as cp:
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 462, in __init__
    self.cores.append(CPUCore(queue=self))
TypeError: _cpyrit_cpu.CPUDevice.__new__(CPUCore) is not safe, use object.__new__()
root@Rapt0r:~# pyrit benchmark
Pyrit 0.4.0 (C) 2008-2011 Lukas Lueg http://pyrit.googlecode.com
This code is distributed under the GNU General Public License v3+

Traceback (most recent call last):
  File "/usr/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 115, in initFromArgv
    func(self, **options)
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 1170, in benchmark
    with cpyrit.cpyrit.CPyrit() as cp:
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 462, in __init__
    self.cores.append(CPUCore(queue=self))
TypeError: _cpyrit_cpu.CPUDevice.__new__(CPUCore) is not safe, use object.__new__()
root@Rapt0r:~#


I am currently unable to use pyrit at all. I have a desktop running kali with an amd graphics card running and i still have the same issue.

I would be very grateful if somebody could find a fix for this
Steps To ReproduceEverytime i try to run pyrit
Additional InformationKali Linux is the latest version (as of 19/12/16)
Attached Files

-Relationships
+Relationships

-Notes

~0006187

sbrun (manager)

Thanks for the report.

I reported this issue in Debian (we are using Debian package of pyrit):

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=849060

~0006196

Daih (reporter)

root@kali:~# pyrit list_cores
Pyrit 0.4.0 (C) 2008-2011 Lukas Lueg - 2015 John Mora
https://github.com/JPaulMora/Pyrit
This code is distributed under the GNU General Public License v3+

Traceback (most recent call last):
  File "/usr/local/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
  File "/usr/local/lib/python2.7/dist-packages/pyrit_cli.py", line 118, in initFromArgv
    func(self, **options)
  File "/usr/local/lib/python2.7/dist-packages/pyrit_cli.py", line 295, in list_cores
    with cpyrit.cpyrit.CPyrit() as cp:
  File "/usr/local/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 462, in __init__
    self.cores.append(CPUCore(queue=self))
TypeError: _cpyrit_cpu.CPUDevice.__new__(CPUCore) is not safe, use object.__new__()
******************************************************************************
My file image: http://s019.radikal.ru/i640/1612/1c/18e2b54e0f3a.png
Pyrit 0.4.0 did not work properly after the update/upgrade 19.12.2016
Prompt me please, how to solve this bug and to fix Kali Rolling 2016.2.
The culprit of this Python 3.0???
Shifting to version Pyrit 0.3.0 does not solve bug!

~0006197

Daih (reporter)

root@kali:~# pyrit list_cores
Pyrit 0.4.0 (C) 2008-2011 Lukas Lueg - 2015 John Mora
https://github.com/JPaulMora/Pyrit
This code is distributed under the GNU General Public License v3+

Traceback (most recent call last):
  File "/usr/local/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
  File "/usr/local/lib/python2.7/dist-packages/pyrit_cli.py", line 118, in initFromArgv
    func(self, **options)
  File "/usr/local/lib/python2.7/dist-packages/pyrit_cli.py", line 295, in list_cores
    with cpyrit.cpyrit.CPyrit() as cp:
  File "/usr/local/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 462, in __init__
    self.cores.append(CPUCore(queue=self))
TypeError: _cpyrit_cpu.CPUDevice.__new__(CPUCore) is not safe, use object.__new__()
******************************************************************************
My file image: http://s019.radikal.ru/i640/1612/1c/18e2b54e0f3a.png
Pyrit 0.4.0 did not work properly after the update/upgrade 19.12.2016
Prompt me please, how to solve this bug and to fix Kali Rolling 2016.2.
The culprit of this Python 3.0???
Shifting to version Pyrit 0.3.0 does not solve bug!

~0006201

sbrun (manager)

This issue was caused by the package python2.7 version 2.7.13~rc1-1
The new version of python2.7 (version 2.7.13-1) fixes this.
It should be available on the mirrors in few hours.
+Notes

-Issue History
Date Modified Username Field Change
2016-12-19 00:52 Rapt0r New Issue
2016-12-22 09:39 sbrun Assigned To => sbrun
2016-12-22 09:39 sbrun Status new => assigned
2016-12-22 09:39 sbrun Note Added: 0006187
2016-12-22 18:41 Daih Note Added: 0006196
2016-12-22 18:46 Daih Note Added: 0006197
2016-12-23 10:59 sbrun Status assigned => resolved
2016-12-23 10:59 sbrun Resolution open => fixed
2016-12-23 10:59 sbrun Fixed in Version => 2017.1
2016-12-23 10:59 sbrun Note Added: 0006201
+Issue History